Admin is not created in MySQL when there is a SQLite database
Description

When Foreman is installed with the Debian packages the default database adapter is SQLite. When the SQLite database has been

created and you change the adapter to mysql or mysql2 and run the '/usr/share/foreman/extras/dbmigrate' script the admin user will

not be created.

It fails somehow even when running the 'RAILS_ENV=production rake permissions:reset' command. When you delete the SQLite

database from the '/usr/share/foreman/db' directory the 'RAILS_ENV=production rake permissions:reset' works fine and the admin

user will be created.

History

#1 - 10/19/2012 06:09 AM - Jasper Poppe

We start using nightly builds, probably I was wrong about the sqlite database. It seems to go wrong on the domain name I use: b.c.m.e FQDN:

overlord001.b.c.m.e. When I change the domain name to e.g. gmail.com and delete the admin user entry the permission reset script works.

#2 - 10/25/2012 05:19 AM - Ohad Levy

- Status changed from New to Resolved

#3 - 10/25/2012 05:20 AM - Ohad Levy

yes, foreman requires a domain name to be set to work correctly.

#4 - 10/25/2012 05:25 AM - Jasper Poppe

Sorry, maybe I was not clear enough. What I tried to say that Foreman doesn't accept b.c.m.e as a valid domain name. And I know quite some

companies, including myself who are using short domain names for internal domains.

#5 - 10/25/2012 05:26 AM - Jasper Poppe

Jasper Poppe wrote:

Sorry, maybe I was not clear enough. What I tried to say that Foreman doesn't accept b.c.m.e as a valid domain name. And I know quite some

companies, and also including myself who are using short domain names for internal domains.

#6 - 10/25/2012 05:27 AM - Ohad Levy

- Status changed from Resolved to New

hmm... I can't seem to find any limitation on the domain name.... did you get a stack trace or errors in your logs?

#7 - 10/25/2012 05:34 AM - Jasper Poppe

The error you get when running the reset permissions task is 'mail is invalid'. It is pretty easy to reproduce, Just set the domain name to b.c.m.e and

run the script. Or set it hardcoded in the reset permissions script like:

user = User.find_or_create_by_login(:login => "admin", :firstname => "Admin", :lastname => "User", :mail => "root@b.c.m.e")

Clear the user table (important step) and run the reset permissions script:

root@overlord001:~/git/foreman# sudo mysql --defaults-extra-file=/etc/mysql/debian.cnf foreman -e 'DELETE FROM users'
root@overlord001:~/git/foreman# sudo RAILS_ENV=production rake permissions:reset

/root/git/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:10: warning: already initialized constant ENC_NONE

/root/git/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:11: warning: already initialized constant ENC_EUC

/root/git/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:12: warning: already initialized constant ENC_SJIS

/root/git/foreman/vendor/ruby/1.8/gems/ruby_parser-2.3.1/lib/ruby_parser_extras.rb:13: warning: already initialized constant ENC_UTF8

Mail is invalid

#8 - 10/25/2012 05:56 AM - Ohad Levy

- Category deleted (Database)

I see... the email validation is failing.

I wonder if there is any reason why a domain name won't be one char.

#9 - 12/28/2012 10:55 AM - Jasper Poppe

Ohad Levy wrote:

I wonder if there is any reason why a domain name won't be one char.

 There are currently no 1 character top level domains so it isn't valid as a public mail address (makes sense), but it is fine to have 1 character private

domains.

#10 - 08/27/2019 12:38 PM - Ohad Levy

- Description updated

- Assignee deleted (Ohad Levy)

#11 - 11/13/2019 08:56 AM - Tomer Brisker

- Status changed from New to Rejected

Foreman is dropping support for MySQL database - see https://community.theforeman.org/t/rfc-dropping-support-for-mysql/14185 for further details.

Closing this issue.
